﻿@using Jumbula.Common.Helper
@using Jumbula.Web.WebLogic.UserService
@model DisplayCartViewModel

@{
    var actionCaller = Request.QueryString["actionCaller"] != null ? Jumbula.Common.Helper.EnumHelper.ParseEnum<JumbulaSubSystem>(Request.QueryString["actionCaller"]) : JumbulaSubSystem.Order;
    var returnUrl = Request.QueryString["returnUrl"] != null ? Request.QueryString["returnUrl"]: string.Empty;

}

@if (Model.Cart.Order.RegularOrderItems.Any() || actionCaller != JumbulaSubSystem.Order)
{
    <div id="cart-footer" class="full-width">
        <div id="cart-footer" class="full-width">
           

            @if ( Model != null && Model.Cart != null && Model.Cart.Order != null && Model.Cart.Order.OrderItems != null && Model.Cart.Order.OrderItems.Any(c => c.ItemStatus != OrderItemStatusCategories.deleted) && Model.PaymentModel.ActionCaller == JumbulaSubSystem.Order)
            {
                if (!Model.HideCoupon)
                {
                    <div class="panel panel-warning box-panel-donation">
                        <div class="panel-heading">
                            <h3 class="panel-title">Do you have a coupon or promo code for this order?</h3>
                        </div>
                        <div class="panel-body input-group fluid-content">

                            <input type="text" id="coupnCode" class="form-control input-group-textbox" placeholder="Enter coupon code">

                            <button id="applyCoupon" data-action="@Url.Action("ApplyCouponToCart", "Cart")" data-userid="@Model.UserId" class="input-group-btn" type="button">
                                <span>Apply coupon</span>
                            </button>

                        </div>
                    </div>
                }


                @*<div class="container-btns col-md-4 col-xs-12">

                        <div class="input-group footer-input">
                            <input type="text" id="coupnCode" class="form-control footer-form" placeholder="Type your coupon code here">
                            <span class="coupon-code-btn">
                                <button id="applyCoupon" data-action="@Url.Action("ApplyCouponToCart", "Cart")" data-userid="@Model.UserId" class="input-group-coupon-btn" type="button">
                                    <span>Apply</span>
                                </button>
                            </span>
                        </div>
                    </div>*@
                if (Model.Cart.Order.RegularOrderItems.Any())
                {
                    @Html.Partial("_Donation", Model)
                }
            }



            @if (!string.IsNullOrEmpty(returnUrl) || Model.OrderMode == OrderMode.Online || (Model.OrderMode == OrderMode.Offline && this.GetCurrentUserRoleType() == RoleCategoryType.Parent))
            {

                if (Model.PaymentModel.PayableAmount > 0)
                {
                    if (Model.EnablePayByCash || Model.EnableManualPayment || Model.EnableCreditCardPayment || Model.EnableACHPayment || Model.EnableBankTransfer || Model.EnablePaypalPayment)
                    {

                    <div class="panel panel-success panel panel-btn panel-info  col-md-5 col-xs-12">
                        <div id="paymentMeth" class="panel-heading">
                            <div class="panel-title-2">Payment method</div>
                        </div>

                        @using (Html.BeginForm("Pay", "Cart", FormMethod.Post, new { role = "form", id = "frmCharge", Class = "form-radio" }))
    {

                    @Html.HiddenFor(model => model.InvoiceId);
                    @Html.HiddenFor(model => model.BackToDetail);
if (Model.EnableCreditCardPayment)
{
    if (Model.CreditCards.Count > 0 && (Model.PaymentModel.ActionCaller == JumbulaSubSystem.Order || Model.InvoiceId.HasValue || Model.UserId.HasValue || !string.IsNullOrEmpty(returnUrl) || Model.EnableExpressPaymentInOfflineMode))
    {
                    <div style="height: 92px;">
                        <input id="radio-express" checked onclick="toggle_visibility('msg-hide-0');" class="radio-custom width-auto-set get-cursor" name="PaymentMethod" type="radio" value="@PaymentMethod.Express">
                        <label for="radio-express" class="radio-custom-label width-auto-set ">
                        </label>
                        <label class="get-cursor">
                            @Model.StripePreferredPaymentMethod
                        </label>
                        <div class="content-choose-filter" id="msg-hide-0">

                            @Html.DropDownListFor(model => model.CreditId, new SelectList(Model.CreditCards, "Value", "Text"), new { style = " width: 285px;margin-left:48px;" })
                            @Html.HiddenFor(model => model.ActiveCreditCardId)
                        </div>
                    </div>
}

                    <div class="border-top">
                        <input id="radio-card" onclick="toggle_visibility('msg-hide-1');" class="radio-custom width-auto-set" name="PaymentMethod" value="@PaymentMethod.Card" type="radio">
                        <label for="radio-card" class="radio-custom-label width-auto-set"></label>
                        <span>
                            @Model.StripePaymentCheckouLabel
                            <img src="/Images/Payment/payment-icons.png">
                        </span>
                        <div class="msg-checked" id="msg-hide-1" style="overflow: hidden;">
                            @Html.Partial("_DirectPayment", Model.PaymentModel)
                        </div>
                    </div>
}

if ((Model.EnablePaypalPayment && Model.PaymentModel.ActionCaller == JumbulaSubSystem.Invoice) || (!Model.Cart.Order.IsAutoCharge && Model.EnablePaypalPayment) || (Model.PaymentModel.ActionCaller == JumbulaSubSystem.Installment && Model.EnablePaypalPayment))
{
                    <div class="border-top">
                        <input id="radio-paypal" onclick="toggle_visibility('msg-hide-2');" class="radio-custom width-auto-set" name="PaymentMethod" type="radio" value="@PaymentMethod.Paypal">
                        <label for="radio-paypal" class="radio-custom-label width-auto-set"></label>
                        <span>
                            @Model.PaypalPaymentCheckouLabel
                            <img src="/Images/cc-icons2.png" style="width: 107px;">
                        </span>
                    </div>
}
if (Model.EnableACHPayment && !Model.Cart.Order.IsAutoCharge && Model.PaymentModel.ActionCaller == JumbulaSubSystem.Order)
{
                    <div class="border-top">
                        <input onclick="toggle_visibility('msg-hide-3');" id="radio-Echeck" class="radio-custom width-auto-set" name="PaymentMethod" value="@PaymentMethod.Echeck" type="radio" data-link="">
                        <label for="radio-Echeck" class="radio-custom-label width-auto-set"></label>
                        <span>
                            @Model.AcHPaymentCheckouLabel
                        </span>
                        <div class="msg-checked" id="msg-hide-3" style="overflow: hidden;">

                            @Model.AcHPaymentMessage

                        </div>
                    </div>

}

if ((Model.EnablePayByCash && !Model.Cart.Order.IsAutoCharge && Model.PaymentModel.ActionCaller != JumbulaSubSystem.MakeaPayment) || (Model.ClubDomain.ToLower().Equals("em-emtestschool")))
{

                    <div class="border-top">
                        <input onclick="toggle_visibility('msg-hide-4');" id="radio-cash" class="radio-custom width-auto-set" name="PaymentMethod" value="@PaymentMethod.Cash" type="radio">
                        <label title="@Model.PaybyCashMessage" for="radio-cash" class="radio-custom-label width-auto-set"></label>
                        <span>
                            @Model.CashPaymentCheckouLabel <span class="totalWithoutConvenienceFee">(@Model.TotalWithoutConvenienceFee)</span>


                        </span>
                        <div class="msg-checked" id="msg-hide-4">
                            @Model.PaybyCashMessage
                        </div>
                    </div>


}
if (Model.EnableBankTransfer && !Model.Cart.Order.IsAutoCharge && Model.PaymentModel.ActionCaller == JumbulaSubSystem.Order)
{
                    <div class="border-top">
                        <input onclick="toggle_visibility('msg-hide-5');" id="radio-bank" class="radio-custom width-auto-set" name="PaymentMethod" value="@PaymentMethod.BankTransfer" type="radio">
                        <label for="radio-bank" class="radio-custom-label width-auto-set">
                        </label>
                        <span>
                            @Model.BankPaymentCheckouLabel <span class="totalWithoutConvenienceFee">(@Model.TotalWithoutConvenienceFee)</span>
                        </span>
                        <div class="msg-checked" id="msg-hide-5">
                            @Model.BankTransferMessage
                        </div>
                    </div>
}
if (Model.EnableManualPayment && !Model.Cart.Order.IsAutoCharge && Model.PaymentModel.ActionCaller == JumbulaSubSystem.Order)
{
                    <div class="border-top">
                        <input onclick="toggle_visibility('msg-hide-6');" id="radio-scholarship" class="radio-custom width-auto-set" name="PaymentMethod" value="@Model.ManualPaymentMethod" type="radio">
                        <label for="radio-scholarship" class="radio-custom-label width-auto-set">
                        </label>
                        <span>
                            @Model.ManualPaymentName <span class="totalWithoutConvenienceFee">(@Model.TotalWithoutConvenienceFee)</span>


                        </span>
                        <div class="msg-checked" id="msg-hide-6">
                            @Model.ManualPaymentMessage
                        </div>
                    </div>

}
if (Model.Cart.Count > 0)
{
                    <button type="button" id="send-url" class="submit-btn">Place Order (@CurrencyHelper.FormatCurrencyWithPenny(Model.Cart.PayableAmount, Model.Cart.Currency))</button>

}
else
{

                    <button type="button" id="send-url" class="submit-btn">Submit (@CurrencyHelper.FormatCurrencyWithPenny(Model.PaymentModel.PayableAmount, Model.Cart.Currency))</button>

}

                    @Html.Hidden("Token", Model.PaymentModel.Token, new { id = "hdnToken" })
                    @Html.Hidden("ReturnUrl", Model.PaymentModel.ReturnUrl, new { id = "hdnReturnUrl" })
                    @Html.Hidden("CreateTokenResponse", Model.PaymentModel.CreateTokenResponse, new { id = "hdnCreateTokenResponse" })
                    @Html.Hidden("ConfirmationId", Model.PaymentModel.ConfirmationId, new { id = "hdnConfirmationId" })
                    @Html.Hidden("UserId", Model.PaymentModel.UserId, new { id = "hdnUserId" })
                    @Html.Hidden("ActionCaller", Model.PaymentModel.ActionCaller, new { id = "hdnActionCaller" })
                    @Html.Hidden("IsFamilyTakePayment", Model.PaymentModel.IsFamilyTakePayment, new { id = "hdnIsFamilyTakePayment" })
                    @Html.Hidden("CreditId", Model.PaymentModel.CreditId, new { id = "hdnCreditId" })
                    @Html.Hidden("PayableAmount", Model.PaymentModel.PayableAmount, new { id = "hdnPayableAmount" })
}


                    </div>

                    }
                    else
                    {
                        <div class="clearfix"></div>
                        <div style="text-align: center;display:block;width:100%;margin-top: 15px;">
                            <span style="color: white; font-size: 14px; padding: 8px; line-height: 1.3em; display: inline-block;white-space:initial;word-wrap:break-word;" class="label label-warning">
                                You cannot pay because your organization has not defined any payment methods. Please contact your organization.
                            </span>
                        </div>
                    }
                }
                else
                {
                    using (Html.BeginForm("Pay", "Cart", FormMethod.Post, new { role = "form", id = "frmCharge", Class = "form-radio" }))
                    {
                        <input name="Method" value="@PaymentMethod.Cash" type="hidden">

                        <div class="panel-btn col-md-4 col-xs-12">

                            @if (Model.Cart.Count > 0)
                            {
                                <button type="button" id="send-url" class="submit-btn">Place Order (@CurrencyHelper.FormatCurrencyWithPenny(Model.Cart.PayableAmount, Model.Cart.Currency))</button>

                            }
                            else
                            {
                                if (Model.PaymentModel.ActionCaller == JumbulaSubSystem.Installment)
                                {
                                    <div class="clearfix"></div>
                                    <div style="text-align: center;display:block;width:100%;margin-top: 15px;">
                                        <span style="color: white; font-size: 14px; padding: 8px; line-height: 1.3em; display: inline-block;white-space:initial;word-wrap:break-word;" class="label label-warning">
                                            You cannot pay for this installment because The installment has been paid.Please contact your organization.
                                        </span>
                                    </div>
                                }
                                else if (Model.PaymentModel.ActionCaller != JumbulaSubSystem.Order)
                                {
                                    <button type="button" id="send-url" class="submit-btn">Submit (@CurrencyHelper.FormatCurrencyWithPenny(Model.PaymentModel.PayableAmount, Model.Cart.Currency))</button>
                                }
                            }
                        </div>

                        @Html.Hidden("Token", Model.PaymentModel.Token, new { id = "hdnToken" })
                        @Html.Hidden("CreateTokenResponse", Model.PaymentModel.CreateTokenResponse, new { id = "hdnCreateTokenResponse" })
                        @Html.Hidden("ConfirmationId", Model.PaymentModel.ConfirmationId, new { id = "hdnConfirmationId" })
                        @Html.Hidden("UserId", Model.PaymentModel.UserId, new { id = "hdnUserId" })
                        @Html.Hidden("ActionCaller", Model.PaymentModel.ActionCaller, new { id = "hdnActionCaller" })
                        @Html.Hidden("CreditId", Model.PaymentModel.CreditId, new { id = "hdnCreditId" })
                        @Html.Hidden("PayableAmount", Model.PaymentModel.PayableAmount, new { id = "hdnPayableAmount" })
                    }

                }
                @Html.HiddenFor(model => model.OfflinePaymentNow, new { @id = "OfflinePayment" });
            }
            else if (Model.OrderMode == OrderMode.Offline)
            {

                using (Html.BeginForm("Pay", "Cart", FormMethod.Post, new { role = "form", id = "frmCharge", Class = "form-radio" }))
                {
                    @Html.HiddenFor(model => model.OfflinePaymentNow, new { @id = "OfflinePayment" });
                    <input class="radio-custom width-auto-set" name="PaymentMethod" value="@PaymentMethod.Cash" type="hidden">
                    @Html.HiddenFor(model => model.UserId, new { @id = "UserId" });
                    <div class="panel-btn col-md-4 col-xs-12">
                        <button type="button" id="send-url" class="submit-btn">Place Order (@CurrencyHelper.FormatCurrencyWithPenny(Model.Cart.PayableAmount, Model.Cart.Currency))</button>

                    </div>

                    @Html.Hidden("Token", Model.PaymentModel.Token, new { id = "hdnToken" })
                    @Html.Hidden("CreateTokenResponse", Model.PaymentModel.CreateTokenResponse, new { id = "hdnCreateTokenResponse" })
                    @Html.Hidden("ConfirmationId", Model.PaymentModel.ConfirmationId, new { id = "hdnConfirmationId" })
                    @Html.Hidden("UserId", Model.PaymentModel.UserId, new { id = "hdnUserId" })
                    @Html.Hidden("ActionCaller", Model.PaymentModel.ActionCaller, new { id = "hdnActionCaller" })
                    @Html.Hidden("CreditId", Model.PaymentModel.CreditId, new { id = "hdnCreditId" })
                    @Html.Hidden("PayableAmount", Model.PaymentModel.PayableAmount, new { id = "hdnPayableAmount" })
                }
            }


        </div>
        @Html.ValidationMessage("error", new { @style = " margin-left: 508px;" })

    </div>
}

